CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

块属性 (ActiveX)

2023-1-3 21:17| 发布者: admin| 查看: 439| 评论: 0|来自: AutoCAD

摘要: 获取绘图的块集合。

获取绘图的块集合。

支持的平台:仅窗口

签名

工 务 局:

object.Blocks
对象

类型:数据库文档

此属性适用的对象。

属性值

只读:是的

类型:

绘图的集合。Blocks

言论

没有额外的评论。

例子

工 务 局:

Sub Example_Blocks()
    ' This example first finds the Blocks collection
    ' using the Blocks property. It then adds a new
    ' block to the Blocks collection.
    
    Dim blkColl As AcadBlocks
    Dim newBlock As AcadBlock
    Dim insertionPnt(0 To 2) As Double
    
    ' Get the Blocks collection
    Set blkColl = ThisDrawing.Blocks
    
    ' Define the insertion point for the new block
    insertionPnt(0) = 0#: insertionPnt(1) = 0#: insertionPnt(2) = 0#
    
    ' Add the new block into the Blocks collection
    Set newBlock = blkColl.Add(insertionPnt, "TEST")
    MsgBox "A block called " & newBlock.name & " has been added to the blocks collection", vbInformation, "Blocks Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Blocks()
    ;; This example first finds the Blocks collection
    ;; using the Blocks property. It then adds a new
    ;; block to the Blocks collection.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; Get the Blocks collection
    (setq blkColl (vla-get-Blocks doc))
    
    ;; Define the insertion point for the new block
    (setq insertionPnt (vlax-3d-point 0 0 0))
    
    ;; Add the new block into the Blocks collection
    (setq newBlock (vla-Add blkColl insertionPnt "TEST"))
    (alert (strcat "A block called " (vla-get-Name newBlock) " has been added to the blocks collection."))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 19:37

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部